@echo off
rem
rem Converting doml 5.* file into html file.
rem
rem  doml2html [-help] [doml5*-file] [html-file] 
rem
rem  -help - Print usage message and exit.
rem
rem doml5*-file - doml file relese 5.*.
rem html-file - desired target html file
rem


set USAGE=doml2html [-help] [doml5*-file] [html-file]

set DODS_HOME=E:\senka\work\DODS-verzije\DODSX-7.2-1\output

set PATH="E:/jdk1.5.0_10\bin";%PATH%
set JAVACMD=java.exe

set DOML2HTMLXSL="%DODS_HOME%\build\xsl\doml2html.xsl"

:start0
echo %DOML2HTMLXSL%
if exist %DOML2HTMLXSL% goto start
echo.
echo Unable to find necessary xsl file. Set DOML2HTMLXSL in this bat file.
echo.
goto exit

:start
if %1.==. goto error1
if %1==-help goto help
if %1==-* goto error2
if %1==* goto continue1
goto continue1

:error1
echo Error: There is not any arguments: %USAGE%
goto exit

:error2
echo Error: Invalid option: %USAGE%
goto exit

:error3
echo Error: There is not second argument: %USAGE%
goto exit

:error4
echo Error: There are more then two arguments: %USAGE%
goto exit

:help
echo.
echo Usage: %USAGE%
echo.
goto exit

:continue1
if %2.==. goto error3
if %2==-* goto error2
if %2==* goto continue2
goto continue2

:continue2
if %3.==. goto continue
goto error4


:continue
echo Doml to html conversion...
%JAVACMD% -cp "%CLASSPATH%" org.apache.xalan.xslt.Process -in %1 -xsl %DOML2HTMLXSL% -out %2

:exit